#ifndef _IMGUICONTROLS_H
#define _IMGUICONTROLS_H

#include <string>

namespace Engine {

namespace GUI {

/** \brief Checks whether the mouse is in the given rectangle */
bool regionhit (int x, int y, int w, int h);

/** \brief Draws a label at the given position with vertical center at y */
void Label (int id, const char* caption, int x, int y);

/** \brief Draws a button at the given position
 *
 * The caption will be centered in the middle of the clickable area.
 *
 * \returns true if it was clicked
 *
 */
bool Button (int id, const char* caption, int x, int y, int w, int h);

bool LineEdit (int id, int x, int y, std::string &text_value, const int &maxlength);

};

};

#endif /* _IMGUICONTROLS_H */
